function lnp_array_calc(i,i2,i5)
% FORM LNP ARRAY 
global  lnp
global  lnr
global  npn
                                 
jbgn=1;              
jend=i2;       

for j=jbgn:jend      
	j1 = lnr(i,1,j);
	j3 = lnr(i,3,j); 
	lnp(i,1,j) = npn(j1); 
	lnp(i,3,j) = npn(j3);
end

jbgn = 1;   
jend = i5;
		  
for j=jbgn:jend

	j2 = lnr(i,2,j);   
	j4 = lnr(i,4,j);
	lnp(i,2,j) = npn(j2); 
	lnp(i,4,j) = npn(j4);
	
end
